Fetch vendor refund payment
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Vendor_Refund_Payment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payment-456",
"refunded_amount": 123,
"refund_processing_fee": 123,
"completed_at": "2023-11-07T05:31:56Z",
"method": "ACH",
"processor": "STRIPE",
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}Vendor Refunds
Fetch vendor refund payment
Fetches a specific payment for a vendor refund.
GET
/
v1
/
businesses
/
{businessId}
/
bills
/
refunds
/
{refundId}
/
payments
/
{paymentId}
Fetch vendor refund payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch vendor refund payment for.
The UUID of the vendor refund to fetch payment for.
The UUID of the payment to fetch.
Response
200 - application/json
Vendor refund payment details.
A payment represents a transaction that moves value from a vendor to a business. A specific bill can be refunded or a general refund can be applied to a vendor.
Show child attributes
Show child attributes
āI